Bug 927525 - SELinux is preventing /usr/bin/pulseaudio from 'getattr' accesses on the file /run/systemd/users/1000.
Summary: SELinux is preventing /usr/bin/pulseaudio from 'getattr' accesses on the file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1f8716752db00b9766f23d2dd11...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-26 06:54 UTC by rimbotede
Modified: 2013-04-18 02:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:50:04 UTC


Attachments (Terms of Use)

Description rimbotede 2013-03-26 06:54:28 UTC
Description of problem:
Just start the system. Volume control icon disappears soon after system startup. 
SELinux is preventing /usr/bin/pulseaudio from 'getattr' accesses on the file /run/systemd/users/1000.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that pulseaudio should be allowed getattr access on the 1000 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:systemd_logind_var_run_t:s0
Target Objects                /run/systemd/users/1000 [ file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-2.1-6.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-86.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.8.4-202.fc18.x86_64 #1 SMP Thu
                              Mar 21 17:02:20 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-03-26 07:47:33 CET
Last Seen                     2013-03-26 07:47:33 CET
Local ID                      d26a252e-8699-4d05-b2dd-0da8d1bbe027

Raw Audit Messages
type=AVC msg=audit(1364280453.648:351): avc:  denied  { getattr } for  pid=2278 comm="pulseaudio" path="/run/systemd/users/1000" dev="tmpfs" ino=22633 scontext=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_logind_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1364280453.648:351): arch=x86_64 syscall=fstat success=yes exit=0 a0=30 a1=7fff26f6d110 a2=7fff26f6d110 a3=238 items=0 ppid=2277 pid=2278 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=pulseaudio exe=/usr/bin/pulseaudio subj=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: pulseaudio,mozilla_plugin_t,systemd_logind_var_run_t,file,getattr

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t systemd_logind_var_run_t:file getattr;

audit2allow -R
require {
	type mozilla_plugin_t;
}

#============= mozilla_plugin_t ==============
systemd_login_read_pid_files(mozilla_plugin_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.4-202.fc18.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2013-03-26 11:46:44 UTC
Fixed in selinux-policy-3.11.1-88.fc18.noarch

Comment 2 Fedora Update System 2013-04-15 11:10:34 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 3 rimbotede 2013-04-15 18:45:28 UTC
Description of problem:
This is a second time in one month SELinux brakes sound on my system. Nothing to add here. Boot > volume icon disappers.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.6-203.fc18.x86_64
type:           libreport

Comment 4 Fedora Update System 2013-04-16 00:06:02 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-18 02:50:05 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.